from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class GraphicLocation(IntEnum):
    NONE = auto()
    LEFT_TOP = auto()
    MIDDLE_TOP = auto()
    RIGHT_TOP = auto()
    LEFT_MIDDLE = auto()
    MIDDLE_MIDDLE = auto()
    RIGHT_MIDDLE = auto()
    LEFT_BOTTOM = auto()
    MIDDLE_BOTTOM = auto()
    RIGHT_BOTTOM = auto()
    AREA = auto()
    TILED = auto()
